<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>inputui</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="guimaker.html">&lt;&lt; guimaker</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_83de88e7fbbfd10c75a19a537c038964.html">GUI Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="menumaker.html">menumaker &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">GUI Tools</a> &gt;&gt; <a href="section_83de88e7fbbfd10c75a19a537c038964.html">GUI Tools</a> &gt; inputui</span>

    <br /><br />
    <div class="info"></div>

  <div class="refnamediv"><h1 class="refname">inputui</h1><p class="refpurpose">A single line frontend for <a href="scilab://scilab.help/x_mdialog" class="link">x_mdialog</a>, with some additional functionality.</p></div>



<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">title_txt :</span>
      <dd><p class="para">title text</p></dd></dt>
   <dt><span class="term">text :</span>
      <dd><p class="para">list() with text labels for each input variable to be retrieved.</p></dd></dt>
   <dt><span class="term">values :</span>
      <dd><p class="para">optional list() with default values for each input variable.</p></dd></dt>
   <dt><span class="term">filename :</span>
      <dd><p class="para">optional file name for retrieval of default values stored by a previous call to inputui.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">inputui is a front end for the Scilab function <a href="scilab://scilab.help/x_mdialog" class="link">x_mdialog</a> which only require a single command line.</p>
   <p class="para">Values may be stored between successive calls to inputui within the current Scilab session.
The values are stored in the TMPDIR directory as a file named [filename] (see the optional fourth input parameter).
Note that these values are only stored during the current Scilab session.
Use unique values for [filename] in order to store values for different types of calls to inputui.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabopenclose">[</span><span class="scilabid">mag</span><span class="scilabdefault">,</span><span class="scilabid">frq</span><span class="scilabdefault">,</span><span class="scilabid">ph</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">inputui</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Enter sine signal</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">magnitude</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">frequency</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">phase</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">10</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>  <span class="scilabcomment">// Single line call...</span>

<span class="scilabcomment">// Store values between successive calls to inputui...</span>
<span class="scilabopenclose">[</span><span class="scilabid">a</span><span class="scilabdefault">,</span><span class="scilabid">b</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">inputui</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Edit a and b</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">a</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">b</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">inputui_demo</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">// change the values for a and b and press OK.</span>
<span class="scilabopenclose">[</span><span class="scilabid">a</span><span class="scilabdefault">,</span><span class="scilabid">b</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">inputui</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Test</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">a</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">b</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><a class="scilabcommand" href="scilab://list">list</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">inputui_demo</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// default values are now retrieved from TMP\inputui_demo</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="menumaker.html" class="link">menumaker</a></li>
   <li class="member"><a href="guimaker.html" class="link">guimaker</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">T. Pettersen, top@tpett.com</li></ul></div>


    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="guimaker.html">&lt;&lt; guimaker</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_83de88e7fbbfd10c75a19a537c038964.html">GUI Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="menumaker.html">menumaker &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
